/* ==========================================================================
* 작 성 자 : 이순규
* 작 성 일 : 2007.06.25
* 내    용 : 패처 어플리케이션
* 주의사항 : 
*===========================================================================*/
#pragma once

#ifndef __AFXWIN_H__
#Error "PCH에 대해 이 파일을 포함하기 전에 'StdAfx.h'를 포함합니다"
#endif

#include "resource.h"
#include "skin/SkinResource.h"

/// 패처 어플리케이션
class cPatcherApp : public CWinApp
{
public:
	cPatcherApp();
	~cPatcherApp();

	/// 언어 정보 로딩
	//bool LoadConfig();

	/// 스킨 정보 로딩
	bool LoadSkin();

	/// 스킨 리소스를 리턴
	cSkinManager* GetSkinResource() const;

public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//DECLARE_MESSAGE_MAP()

private:
	/// 뮤텍스 검사
	bool CheckMutex();

public:
	/// 뮤텍스
	HANDLE mMutex;

private:
	/// 스킨
	cSkinManager* mSkinManager;

	/// 경로
	cString mPath;

	/// 호스트 이름
	cString mHostName;

	/// 기반 디렉토리
	cString mBaseDir;

	/// 명령인수
	cString mCmdLine;
};

inline
cSkinManager* cPatcherApp::GetSkinResource() const
{
	return mSkinManager;
}
